import request, { postBlob, getBlob, handleImport } from '@/utils/request'

export function websitContractSignList(data) {
  return request({
    url: `/websit/contract/sign/list?moduleId=${data.moduleId}`,
    method: 'post',
    data
  })
}

export function websitContractSignListExport(data, name) {
  return postBlob({
    url: '/websit/contract/sign/list/export',
    data,
    name
  })
}

export function websitContractSignCancel(params) {
  return request({
    url: '/websit/contract/sign/cancel',
    method: 'post',
    params: params
  })
}

export function websitContractSignSign(params) {
  return request({
    url: '/websit/contract/sign/sign',
    method: 'post',
    params: params
  })
}

export function websitContractSignDetail(params) {
  return request({
    url: '/websit/contract/sign/detail',
    method: 'post',
    params: params
  })
}

export function fddCommonViewTemplate(params) {
  return request({
    url: '/fdd/common/view/template',
    method: 'post',
    params: params
  })
}

export function fddCommonViewContract(params) {
  return request({
    url: '/fdd/common/view/contract',
    method: 'post',
    params: params
  })
}

export function fddCommonDownloadContract(params) {
  return request({
    url: '/fdd/common/download/contract',
    method: 'post',
    params: params
  })
}

export function websitContractSignConfirm(params) {
  return request({
    url: '/websit/contract/sign/confirm',
    method: 'post',
    params: params
  })
}
